View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000844Ecere SDKecerepublic2013-04-24 13:452014-04-25 09:11
Reporternicktick 
Assigned Tojerome 
PriorityimmediateSeverityblockReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.07 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000844: Lock-ups with clickThrough while things are changing (consequential mouse moves? Scrolling, Selection/Changing forms...)
DescriptionMouseMessage() is stuck in an endless loop as GetAtPosition() alternates between the same 2 Windows.
TagsNo tags attached.
Attached Files? file icon form1.ec [^] (1,616 bytes) 2013-05-29 19:26

- Relationships

-  Notes
(0000861)
jerome (administrator)
2013-05-29 19:29

This is also the lock-ups happening in WSMS originally thought to be bad SQLite code.

To easily reproduce in WSMS: change memorized report selection on a timer, and hover over the first "Field to be shown" check box.
(0000863)
jerome (administrator)
2013-05-30 04:22
edited on: 2013-06-04 14:04

There was actually 2 issues.

- The WSMS issue was fixed in Window::GetAtPosition() and replacing the 'last.parent == this' check by last.IsDescendantOf(this)

- The sampleScrolling issue (nicktick's issue, trying to scroll with a right click with buttons within a grouping Window) had to do with both the buttons and the group being clickThrough, and at same level, resulting in alternating activation which would move windows around in the order). The fix was to set activate = false after performing an activation. The group should actually be marked as 'inactive' if the buttons do not have it set as a parent, to work around an otherwise alternate activation on a mouse click.

- Another issue was found in WSMS while testing with the timer: crashes due to clearing a ListBox fields without calling ListBox::Clear() first to clear the data. This has now been enforced in ClearFields(), and also fixed in WSMS.

(0000875)
jerome (administrator)
2013-06-04 16:31
edited on: 2014-04-25 02:30

Fixed by https://github.com/ecere/sdk/commit/cb31e1ad7d435d1fb437e3e7e780c462cae978f8 [^]

(Test/sampleScrolling)

(0000891)
jerome (administrator)
2013-06-11 00:22
edited on: 2014-04-25 09:11

Further refined by https://github.com/ecere/sdk/commit/2bfbd0e99ea394af947e8317ea789422b3c6b60a [^]
- Mouse clicks were not going to the parent of an EditBox with clickThrough = true

(MappingTest)

(0001214)
jerome (administrator)
2014-04-25 09:11

Further refined by https://github.com/ecere/ecere-sdk/commit/53ab652ee3a74bab284e450091d0afd2ce50ddb3 [^]
- Fixed for clicking through rubber duck

- Issue History
Date Modified Username Field Change
2013-04-24 13:45 redj New Issue
2013-04-24 19:57 jerome Priority normal => immediate
2013-05-22 21:03 jerome Status new => assigned
2013-05-22 21:03 jerome Assigned To => jerome
2013-05-29 19:26 jerome File Added: form1.ec
2013-05-29 19:27 jerome Severity minor => block
2013-05-29 19:29 jerome Note Added: 0000861
2013-05-29 19:30 jerome Reporter redj => nicktick
2013-05-29 19:31 jerome Summary clickThrough / scrolling test for nicktick => Lock-ups with clickThrough while things are changing (consequential mouse moves? Scrolling, Selection/Changing forms...)
2013-05-29 19:31 jerome Description Updated
2013-05-30 04:22 jerome Note Added: 0000863
2013-06-04 14:04 jerome Note Edited: 0000863
2013-06-04 16:31 jerome Status assigned => closed
2013-06-04 16:31 jerome Note Added: 0000875
2013-06-04 16:31 jerome Resolution open => fixed
2013-06-04 16:31 jerome Fixed in Version => 0.44.10 64
2013-06-11 00:22 jerome Note Added: 0000891
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08
2014-04-25 02:29 jerome Note Edited: 0000891
2014-04-25 02:30 jerome Note Edited: 0000875
2014-04-25 09:11 jerome Note Edited: 0000891
2014-04-25 09:11 jerome Note Added: 0001214



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker